@import "src/assets/styles/00-settings/settings";

.main-container {
  grid-template-rows: 50px calc(100vh - 50px) !important;

  .main-header {
    grid-row: 1;
    display: flex !important;
    align-items: center;
    justify-content: space-around;
    height: 50px;
    padding: 0;

    .button-icon {
      font-size: 22px;

      &.star {
        color: $color-yellow-dark;
      }

      &.like {
        color: $color-green-blue;
      }

      &.share {
        color: $color-brown;
      }

      &.eye {
        color: $color-black;
      }
    }

    .icon-counter {
      margin-left: 5px;
      font-size: 20px;
      font-weight: 500;
    }
  }

  .main-content {
    grid-row: 2;

    .content-header {
      display: grid;
      grid-template: auto auto / auto 1fr;
      align-items: center;
      margin-bottom: 40px;

      .header-image {
        grid-column: 1;
        grid-row: 1 / span 2;
        margin-right: 10px;
        $size: 50px;
        height: $size;
        width: $size;
      }

      .header-title {
        grid-row: 1;
        grid-column: 2;
        margin: 0;
      }

      .header-name {
        grid-row: 2;
        grid-column: 2;
        margin: 0;
      }
    }

    .content-resource {
      width: 100%;

      .resource-picture {
        width: 100%;
        height: 500px;
        background-size: cover;
        background-position: center;
        background-image: $background-image-default;
        border-radius: $default-radius;
      }

      .resource-description {
        margin: 20px 0;
        text-align: justify;
      }
    }

    .content-comments {
      margin-top: 50px;
      padding: 20px;
      display: flex;
      justify-content: center;
      align-items: flex-start;
      flex-direction: column;
      background-color: rgba($color-blue, .1);

      app-comment-form {
        width: 100%;
      }

      .comments-list {
        width: 100%;
        margin: 0;
      }
    }
  }
}

